0

I am trying to install xbacklight using

sudo apt-get install -y xbacklight

but getting error related to mysql.After running above command a new window pop up to set password for mysql.But after setting it shows following error in terminal.

Reading package lists... Done
Building dependency tree       
Reading state information... Done
xbacklight is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 1534 not upgraded.
2 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Setting up mysql-server-5.6 (5.6.30-0ubuntu0.15.10.1) ...
/usr/sbin/mysqld: Can't read dir of '/etc/mysql/conf.d/' (Errcode: 2 - No such file or directory)
Fatal error in defaults handling. Program aborted
AppArmor parser error for /etc/apparmor.d/usr.sbin.mysqld in /etc/apparmor.d/usr.sbin.mysqld at line 9: Could not open 'abstractions/mysql'

I have installed xbacklight in 14.04 Ubuntu.How should I do it in 15.04?

closed as off-topic by mchid, Eric Carvalho, user.dz, Pilot6, DK Bose Jun 9 '16 at 15:06

This question appears to be off-topic. The users who voted to close gave this specific reason:

If this question can be reworded to fit the rules in the help center, please edit the question.

  • 15.04 is EOL, you should upgrade to a supported release. – mchid Jun 3 '16 at 8:47
0

Run the following commands:

sudo apt-get update
sudo mkdir /etc/mysql/conf.d
sudo apt-get -f install

Then, I seriously suggest you update your software before doing anything else. Run one of the following commands:

sudo apt-get upgrade

or, recommended:

sudo apt-get dist-upgrade

Click here if you don't know the difference.

Not the answer you're looking for? Browse other questions tagged or ask your own question.